<?php
class ProdutoLista
{
	private $sql;
	public $qry;
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}


	public function ProdutoLista($desc_produto)
	{
		$desc_produto = addslashes($desc_produto);
		$this->sql = "select id_produto, desc_produto, producao from produto
						  where id_empresa = $this->id_empresa
						  and desc_produto like '%$desc_produto%'
						  order by desc_produto";
		$this->execulta();
	}


	public function DeleteProduto($id_evento_itens_produto)
	{
		$this->sql = "delete from evento_itens_produto
						  where id_evento_itens_produto = $id_evento_itens_produto";
		$this->execulta();
	}


	public function ListaItensProduto($id_evento)
	{
		$this->sql = "select a.id_evento_itens_produto, a.qto, a.tamanho, a.producao, 
						  REPLACE(REPLACE(b.desc_produto, '{QTO}', a.qto), '{TAMANHO}', a.tamanho) as desc_produto
						  from evento_itens_produto a, produto b
						  where a.id_produto = b.id_produto
  						  and a.id_evento = $id_evento
						  and a.id_empresa = $this->id_empresa
						  order by a.producao, b.desc_produto";
		$this->execulta();
	}

	public function InsertItensProduto($id_evento, $qto, $tamanho, $id_produto, $rbProducao)
	{
		$qto = addslashes($qto);
		$tamanho = addslashes($tamanho);
		$producao = addslashes($rbProducao);
		$this->sql = "insert into evento_itens_produto
						  values
						  (null, $id_produto, '$qto', '$tamanho', $this->id_empresa, $id_evento, $producao)";
		$this->execulta();
	}

	public function UpdateProdutoEvento($qto, $tamanho, $id_evento_itens_produto, $rbProducao)
	{
		$qto = addslashes($qto);
		$tamanho = addslashes($tamanho);
		$producao = addslashes($rbProducao);
		$this->sql = "update evento_itens_produto
						  set
						  qto = '$qto',
						  tamanho = '$tamanho',
						  producao = '$producao'
						  where id_evento_itens_produto = $id_evento_itens_produto";
		echo $this->sql;
		$this->execulta();
	}
}
